Announcement

Collapse
No announcement yet.

Google Replacing GTK2 With Aura In Chrome 35

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #21
    Originally posted by chrisb View Post
    You're still wrong. From the link you quote...
    Thanks for making it clearer than I did. I meant precisely that when I said "you keep those rights". However, what's murky still in my eyes is the status of all those contributors who signed back in the day the first CLA. Are they still covered by the first CLA? Does the Harmony CLA supercede the pre-2011 one?

    Comment


    • #22
      Originally posted by arekm View Post
      So do unstable builds have this commit in already? (just trying to confirm)
      At least for the repo I'm using (the official Google RPM repository) the answer is yes.

      Comment


      • #23
        Juat tried chromium 33, and the menus are still gtk (?), the file requester is a mere Kdialog (i use kde)
        How can i know if it is using aura (at all) for anything else?

        EDIT:
        Even the buttons under the notifications on the top of the window are gtk as well, what's going on?
        Last edited by kokoko3k; 03-12-2014, 08:00 AM.

        Comment


        • #24
          Originally posted by kokoko3k
          Juat tried chromium 33, and the menus are still gtk (?), the file requester is a mere Kdialog (i use kde)
          How can i know if it is using aura (at all) for anything else?

          EDIT:
          Even the buttons under the notifications on the top of the window are gtk as well, what's going on?
          As the title of the article states, it's for Chrome (Chromium) 35.

          Comment


          • #25
            Originally posted by Alejandro Nova View Post
            AFAIK Flash connects to Pepper, Pepper links against those APIs.

            This commit has landed. Now, if you disable the GPU blacklist, you get video decoding acceleration, within the limitations of your system.

            https://codereview.chromium.org/176883018/
            doesn't work for me, opensource amd drivers, vdpau activated, but flash only " accelerated video rendering, software video decoding"

            Comment


            • #26
              google-chrome-unstable --ppapi-flash-args=enable_hw_video_decode=1
              ATTENTION: default value of option force_s3tc_enable overridden by environment.
              [3882:3882:0312/140320:ERROR:sandbox_linux.cc(282)] InitializeSandbox() called with multiple threads in process gpu-process
              [3848:3879:0312/140321:ERROR:browser_process_resource_provider.cc( 52)] Not implemented reached in task_manager::BrowserProcessResource::BrowserProce ssResource()
              [3848:3980:0312/140322:ERROR:get_updates_processor.cc(205)] PostClientToServerMessage() failed during GetUpdates
              [WARNING:flash/platform/pepper/pep_module.cpp(63)] SANDBOXED
              [3882:3882:0312/140339:ERROR:gpu_video_decode_accelerator.cc(303)] Not implemented reached in void content::GpuVideoDecodeAccelerator::Initialize(med ia::VideoCodecProfile, IPC::Message*)HW video decode acceleration not available.
              [3882:3882:0312/140352:ERROR:gpu_video_decode_accelerator.cc(303)] Not implemented reached in void content::GpuVideoDecodeAccelerator::Initialize(med ia::VideoCodecProfile, IPC::Message*)HW video decode acceleration not available.



              simply, doesn't work

              Comment


              • #27
                Originally posted by Viper_Scull View Post
                As the title of the article states, it's for Chrome (Chromium) 35.
                You're right, i'm confusing a previous article that stated the changes would land in chromium 33, sorry

                Comment


                • #28
                  Originally posted by phoronix View Post
                  Phoronix: Google Replacing GTK2 With Aura In Chrome 35

                  Google will finally be migrating from GTK2 to their own Aura UI code with a target of Chrome/Chromium 35...

                  http://www.phoronix.com/vr.php?view=MTYyNzQ
                  Oh dear... this is not the first migration away from GTK+.

                  Comment


                  • #29
                    Originally posted by Alejandro Nova View Post
                    Thanks for making it clearer than I did. I meant precisely that when I said "you keep those rights". However, what's murky still in my eyes is the status of all those contributors who signed back in the day the first CLA. Are they still covered by the first CLA? Does the Harmony CLA supercede the pre-2011 one?
                    http://www.canonical.com/contributor-license-agreement

                    If I signed the old agreement, do I need to sign the new one too?

                    No, if you previously accepted the Canonical Contributor Agreement 2.5 (or earlier), your future contributions will continue to be covered by that. However, if you wish, you can sign the new Contributor license agreement, in which case the terms of the new agreement will cover any new contributions.

                    Comment


                    • #30
                      Originally posted by pandev92 View Post
                      google-chrome-unstable --ppapi-flash-args=enable_hw_video_decode=1
                      ATTENTION: default value of option force_s3tc_enable overridden by environment.
                      [3882:3882:0312/140320:ERROR:sandbox_linux.cc(282)] InitializeSandbox() called with multiple threads in process gpu-process
                      [3848:3879:0312/140321:ERROR:browser_process_resource_provider.cc( 52)] Not implemented reached in task_manager::BrowserProcessResource::BrowserProce ssResource()
                      [3848:3980:0312/140322:ERROR:get_updates_processor.cc(205)] PostClientToServerMessage() failed during GetUpdates
                      [WARNING:flash/platform/pepper/pep_module.cpp(63)] SANDBOXED
                      [3882:3882:0312/140339:ERROR:gpu_video_decode_accelerator.cc(303)] Not implemented reached in void content::GpuVideoDecodeAccelerator::Initialize(med ia::VideoCodecProfile, IPC::Message*)HW video decode acceleration not available.
                      [3882:3882:0312/140352:ERROR:gpu_video_decode_accelerator.cc(303)] Not implemented reached in void content::GpuVideoDecodeAccelerator::Initialize(med ia::VideoCodecProfile, IPC::Message*)HW video decode acceleration not available.



                      simply, doesn't work
                      Same here. Likely needs patch like:
                      Code:
                      --- chromium-browser/content/common/gpu/media/gpu_video_decode_accelerator.cc~	2014-02-20 21:28:24.000000000 +0100
                      +++ chromium-browser/content/common/gpu/media/gpu_video_decode_accelerator.cc	2014-03-12 16:52:52.265999592 +0100
                      @@ -278,7 +278,7 @@
                             weak_factory_for_io_.GetWeakPtr(),
                             make_context_current_,
                             io_message_loop_));
                      -#elif defined(OS_CHROMEOS) && defined(ARCH_CPU_X86_FAMILY) && defined(USE_X11)
                      +#elif defined(OS_LINUX) && defined(ARCH_CPU_X86_FAMILY) && defined(USE_X11)
                         gfx::GLContextGLX* glx_context =
                             static_cast<gfx::GLContextGLX*>(stub_->decoder()->GetGLContext());
                         GLXContext glx_context_handle =

                      Comment

                      Working...
                      X